function s = char(p, maxPnDigs) 
% PN/CHAR s = char(p, maxPnDigs) conversion PN -> string; maxPnDigs is optional
% output example: (~ 1.1 ~, -2 ~ 3.1 ~)*(~1~0~)^-2
% if exponent=0 then *(~1~0~)^0 is neglected
% if maxPnDigs is defined then no more digits then maxPnDigs are added,
% exmaple for maxPnDigs==2: (~ 1.1 ~, -2 ~ ... ~)*(~1~0~)^-2
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

%TODO: Alternative conception globMaxPnDigs
s = ['(~ ' num2str(p.mant(1)) ' ~, '];
if ( ( nargin < 2 ) || ( length(p.mant) <= maxPnDigs ) )
    dots3 = false;
    maxPnDigs = length(p.mant); 
else
    dots3 = true;
end;
if ( length(p.mant) > 1 )
    for a = p.mant(2:maxPnDigs).'
        s = [s num2str(a) ' ~ '];
    end
else
    s = deblank(s); % so last ',' will be replaced by ')'
end
if ( dots3 )
    s = [s '... ~)'];
else
    s(end) = ')';
end
if ( p.exponent ~= 0 )
    s = [s '*(~1~0~)^' num2str(p.exponent)];
end

