function c = double(p)
% PN/DOUBLE conversion PN -> vector, neglecting PN digits on the left of ~...~,
%   c = double(p) , where if p=(~1.1~-2~,3.1~4~) then double(p)==[-2 3.1 4]; 
%                   if p=(~1.1~,-2~3.1)*(~1~0~)^-2 double(p)==[0 0 1.1 -2 3.1];
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

c = p.mant;
if ( p.exponent > 0 )
    dump = c(1:double(p.exponent));
    if ( not ( isequal(dump,zeros(length(dump),1)) ) )
        disp('WARNING: Lossy PN conversion to double');
    end
    c(1:length(dump)) = [];
elseif ( p.exponent < 0 )
    c = [zeros(-double(p.exponent),1); c];
end