function r = exp( p )
% PN/EXP    r = exp( p )     where p is PN, and p.exponent <= 0
%
%A.Kubaszek, RzUT, 2007-002-05, v.1.0

if ( p.exponent > 0 ) %and is always normalized, so
    error('Impossible exp() operation:\n  PN exponent of argument must be nonpositive, but is equal %d',p.exponent); 
end

if ( p.exponent < 0 ) % fill mant with zeros, to have exponent=0
%TODO: Alternative conception DoNotTruncation (fill zeros)
    p_exp=-double(p.exponent);
    p.mant = [zeros(p_exp,1); p.mant(1: length(p.mant)-p_exp)];
end
    
r = PN(0, 0, length(p.mant)); 

r.mant(1) = exp( p.mant(1) );
for k=2:length(p.mant)
    r.mant(k)=r.mant(k-1)*p.mant(2);
    for j=3:k
        r.mant(k) = r.mant(k) + (j-1)*r.mant(k-j+1)*p.mant(j);
    end
    r.mant(k) = r.mant(k) / (k-1);
end

%TODO: is it possible to use filter() instead of loops?
end %function
