function r = ln( p )
% PN/LN     r = ln( p )  where p is PN, and p.exponent = 0
%
%A.Kubaszek, RzUT, 2007-002-05, v.1.0

%TODO: p should be normalized, i.e. p.mant(1) ~= 0 (and p.mant(1) > 0
%becase of ln(p.mant(1))
if ( p.exponent ~= 0 )
    error('Impossible ln() operation:\n  PN exponent of argument must be 0, but is equal %d',p.exponent); 
end

r = PN(0, 0, length(p.mant)); 

r.mant(1) = log( p.mant(1) );
for k=2:length(p.mant)
    r.mant(k)=(k-1)*p.mant(k);
    for j=2:(k-1)
        r.mant(k) = r.mant(k) - (j-1)*p.mant(k-j+1)*r.mant(j);
    end
    r.mant(k) = r.mant(k) / p.mant(1) / (k-1);
end

%AlwaysNormalized conception
r = normalized( r ); 

%TODO: is it possible to use filter() instead of loops?
end %function
