function r = mpower( p, a )
% PN/MPOWER r = p ^ a    where a is real 
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

if ( ~isscalar(a) ), error('power exponent should be a scalar'); end
if ( ~isreal(a) ), error('power exponent should be a real number'); end
r_exp=double(p.exponent) * a;
if ( abs(r_exp - round(r_exp)) > 1e-9 )
    error('Impossible power operation:\n  PN exponent in result must be integer number, not %0.5g',r_exp); 
end

r = PN(0, r_exp, length(p.mant)); 

r.mant(1) = realpow(p.mant(1), a);
%In some cases realpow is not possible, and error occures here:
%'Realpow produced complex result'
%TODO: Optimization for integer a (repeated squaring)
a=a+1;
for k=2:length(p.mant)
    for j=2:k
        r.mant(k)=r.mant(k)+p.mant(j)*r.mant(k-j+1)*(a*(j-1)/(k-1)-1);
    end
    r.mant(k)=r.mant(k)/p.mant(1);
end
%TODO: is it possible to use filter() instead of loops?
end %function

