function r = mtimes(p,q)
% PN/MTIMES r = p * q  
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

p = PN(p);
q = PN(q);
%optimization for scalar*PN 
if ( isscalar(p.mant) )
    r = q;
    r.mant = p.mant(1) * r.mant;
    return;
elseif ( isscalar(q.mant) )
    r = p;
    r.mant = q.mant(1) * r.mant;
    return;
else
    m = conv(p.mant, q.mant);

%TODO: Alternative conception DoNotTruncation
r = PN(m(1: max([length(p.mant) length(q.mant)]) ), ... 
       double(p.exponent) + double(q.exponent));

end %function