function r = normalized( p )
% PN/NORMALIZED r = normalized( p )
% 
% First digit of mantissa, i.e. r.mant(1) ~= 0
% exeption for (~0~): r.mant = [0 0 ... 0]
%
%A.Kubaszek, RzUT, 2007-002-05, v.1.0

r = p;
ind = find(r.mant, 1);

if ( isempty(ind) )
    return;
else    % if ( ind >= 1 )
%TODO: Alternative conception DoNotTruncation (do not fill zeros)
    epsil = 2*eps(max(abs(r.mant(ind:min([end ind+4]))))); % 5 element to calc. eps
    while ( ( ind <= length(r.mant) ) && ( abs(r.mant( ind )) < epsil ) )
        ind = ind + 1;
    end
    if ( ind > length(r.mant) ) % (~0~)
        r.mant=zeros(ind-1,1);
        return;
    end
    if ( ind > 1 )
        r.mant = [ p.mant(ind:end); zeros(ind-1,1)];
        r.exponent = int64(double(r.exponent)-ind+1);
    end
end
end %function
