function vecFt = samplesZ_t(p, h)
% PN/samplesZ_t returns Z-transform p as vector t + i*sample, where t=h*k
% (format useful for plot()).   h  - sampling interval 
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

% vecFt = double( p ).';
% vecFt = [0:h:(h*length( vecFt )-h/2)] + i* vecFt ;
%       or
t_ = 0:h:(h*length( p.mant )-h/2);
if ( p.exponent ~= 0 )
    t_ = ( -h * double(p.exponent) ) + t_;
end
vecFt = t_ + i* (p.mant.') ;

end %function