function p = set(p,varargin)
% PN/SET PN properties 'mant' 'exponent'
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

propertyArgIn = varargin;
while length(propertyArgIn) >= 2,
    prop = propertyArgIn{1};
    val = propertyArgIn{2};
    propertyArgIn = propertyArgIn(3:end);
    switch prop
    case 'exponent'
        p.exponent = val;
    case 'mant'
        [w,k] = size(val);
        if ( 1==w)
            p.mant = val.';
        elseif ( 1==k )
            p.mant = val;
        else
            error('PN mantissa should be row or column vector!')
        end
    otherwise
      error('PN properties: exponent, mant')
    end
end

end %function
