function p = subsasgn(p, index, val)
% PN/SUBSASGN PN index assignment: p.mant | p.exponent | p(i) means digit at (~1~0~)^-i
% 
% digit p(i) outside right bound of mantissa is ignored
% digit p(i) outside left bound of mantissa cause reorganization of PN
% p.mant, p.exponent are part of PN
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

switch index.type
case '()'
    ex = double(p.exponent);
    ind = index.subs{:};
    for k = 1:length(ind)
        i = ind(k)+1 + ex;
        if ( i < 1 ) % p.exponent must be changed
            i = 1 - i; %amount of digits to add to the left

%TODO: Alternative conception DoNotTruncation
            % p.mant = [zeros(i,1); p.mant];
            p.mant = [zeros(i,1); p.mant(1: length(p.mant)-i)];
            
            ex = ex + i; p.exponent = int64(ex);
            p.mant(1) = val(k);
        else
%TODO: Alternative conception DoNotTruncation
%if not truncation - remove "if ..."
            if ( i <= length(p.mant) ) 
                %else ignore digit which is outside mantisa capacity
                p.mant(i) = val(k);
            end
        end
    end
case '.'
    switch index.subs
    case 'exponent'
        p.exponent = val;
    case 'mant'
        p.mant = val;
    otherwise
      error('Invalid field name')
    end
end