function b = subsref(p,index)
% PN/SUBSREF PN indexing: p.mant | p.exponent | p(i) means digit at (~1~0~)^-i
% p(i) returns PN digit as coef. of (~1~0~)^-i 
% p.mant, p.exponent returns part of PN
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

switch index.type
case '()'
   ex = double(p.exponent);
   b = index.subs{:};
   for k = 1:length(b)
      i = b(k)+1 + ex;
      if ( ( i < 1 ) || ( i > length(p.mant) ) ), b(k) = 0;
      else b(k) = p.mant(i);
      end
   end
case '.'
   switch index.subs
   case 'exponent'
      b = p.exponent;
   case 'mant'
      b = p.mant;
   otherwise
      error('Invalid field name')
   end
case '{}'
   error('Cell array indexing not supported yet...')
end

end %function