disp('==============================================')
disp(' example of usage PN expL1, expZ, invLaplace1 ')
disp(' see AK-SMACD04.pdf, eq.(7)')
disp('==============================================')
%
%A.Kubaszek, RzUT, 2007-002-12, v.1.0
    
% ================= pattern (Laplace transf.)  =====================================
    numDigL = 88;
            %   pL = PN([1 0],1,numDigL); % (~1~0~)
            %   pL2 = PN([1 0],2,numDigL);% (~1~0~)^2
            %   [xLapl Td] = expL1(-4*(pL2+1)^0.5);
            %   xLapl = xLapl / (pL2 + pL + 4) ;
            % or
%    [xLapl Td] = expL1(-4*(PN('((~1~0~1~))',0,numDigL))^0.5);
%    xLapl = xLapl / PN('((~1~1~4~))') ;
            % or
     [xLapl Td] = expL1(-4*(PN([1 0 1],2,numDigL))^0.5);
     xLapl = xLapl / PN([1 1 4],2) ;
    
% ================== Z-transform using exp and expZ ================================
    h = 0.3;
    numDigZ = 50;
    pZ = PN('c_P_TRAP',1/h,numDigZ); % = 2/h * (~1~-1~)/(~1~1~)
    pZ2 = pZ * pZ;
    
    x0 = exp(-4*(pZ2+1)^0.5) / (pZ2 + pZ + 4) * PN('c_P_TRAP_05111',1/h);

    x1 = expZ(-4*(pZ2+1)^0.5, pZ, 4, h ) / (pZ2 + pZ + 4) * PN('c_P_TRAP_05111',1/h);
    
% =================  Plots =====================================
    axes('YGrid','on','XGrid','on'); 
    hold('all');
    plot(invLaplace1Vect_F_t( xLapl, (0:h/4:(h*numDigZ+1)), 0.01, Td),...
        'DisplayName','pattern', 'Color',[0 0 1]);
    plot(samplesZ_t( x0, h ),...
        'DisplayName','exp()','MarkerSize',4,'Marker','o','Color',[0 1 0]);
    plot(samplesZ_t( x1, h ),...
    	'DisplayName','expZ()','MarkerSize',5,'Marker','diamond',...
        'MarkerFaceColor',[1 0 1],'MarkerEdgeColor',[0.749 0 0.749],...
        'LineStyle','none');
    
    legend('show');
   