disp('==============================================')
disp(' example of usage PN invLaplace1 and Z-transf. ')
disp(' see AK-SMACD98.pdf, eq.(16, 17)')
disp('==============================================')
%
%A.Kubaszek, RzUT, 2007-002-12, v.1.0
    
    
% =================  Laplace Transform =====================================
    numDigL = 50;
    
  % iL = PN('(~ 0.6~, 0.3~)',0, numDigL) / PN('(~ 3~ 0.5~, 2~)');
  %     or
    iL = PN([ 0.6 0.3 ], 0, numDigL) / PN([ 3 0.5 2 ], 1);
    
% =================  Z Transform =====================================
    
    h = 0.3;
    numDigZ = 50;
    pZ = PN('c_P_TRAP',1/h,numDigZ); % = 2/h * (~1~-1~)/(~1~1~)
    pZ_1 = pZ^-1;
    
    iZ = (0.6 + 0.3*pZ_1) / (3*pZ + 0.5 + 2*pZ_1) * PN('c_P_TRAP_05111',1/h);

% =================  Plots =====================================
    
    plot(invLaplace1Vect_F_t( iL, (0:h/3:(h*numDigZ)+1), 0.001 ),...
        'DisplayName','invLaplace', 'Color',[0 0 1]);
    hold('all');
    
    plot(samplesZ_t( iZ, h ),'DisplayName','Z-transf.',...
        'MarkerFaceColor',[1 1 0],...
        'MarkerEdgeColor',[1 0 0.8],...
        'MarkerSize',5,...
        'Marker','diamond',...
        'LineStyle','none');
    legend('show');

    
    