disp('===================================')
disp(' Test PN | p |, p >= 0')
disp('(a concept of partially ordered Mikusinski space)')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

% =====================================================================
    p = PN([ -1 2 -3 4 ])         %#ok<NOPRT>
    r = abs( p )                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, 2 ~ 3 ~ 4 ~)') ); error('1. PN abs ERROR!'); end

    if ( isnonnegative( p ) ); error('2. PN isnonnegative ERROR!'); end
    if ( ~isnonnegative( r ) ); error('3. PN isnonnegative ERROR!'); end
    
    r01 = r * 0.1         %#ok<NOPRT>
    
    if ( ~( r >= r01 ) ); error('4. PN isnonnegative ERROR!'); end

    if ( ( r <= r01 ) ); error('5. PN isnonnegative ERROR!'); end

    if ( ~( r == r01*10 ) ); error('6. PN equality ERROR!'); end

    if ( ~( r ~= p ) ); error('7. PN inequality ERROR!'); end
    
    ep = eps( p )                       %#ok<NOPRT>
    if ( ~strcmp(char(ep),'(~ 2.2204e-016 ~, 4.4409e-016 ~ 4.4409e-016 ~ 8.8818e-016 ~)') ); error('8. PN abs ERROR!'); end
    