disp('===================================')
disp(' Test of constructors')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-05, v.1.0

    x =     PN()    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 0 ~)' ) ); error('PNconstrTest ERROR!'); end
    
    x =     PN('(~ 1.3 ~ -4.5 ~, -7.9~ 333 ~)*(~1~0~)^-3')    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 1.3 ~, -4.5 ~ -7.9 ~ 333 ~)*(~1~0~)^-2' ) ); error('PNconstrTest ERROR!'); end
    
    x =     PN('(~ 2.3 ~ -4.5 ~)*(~1~0~)^-3')    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 2.3 ~, -4.5 ~)*(~1~0~)^-2' ) ); error('PN constructor ERROR!'); end
    
    x =     PN('(~ 3.3 ~ -4.5 ~)')    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 3.3 ~, -4.5 ~)*(~1~0~)^1' ) ); error('PN constructor ERROR!'); end
    
    x =     PN('(~ 4 ~ -5 ~ -7 ~ 9 ~ 33 ~)')    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 4 ~, -5 ~ -7 ~ 9 ~ 33 ~)*(~1~0~)^4' ) ); error('PN constructor ERROR!'); end
    
    x =     PN([ 5.3  -4.5  -7.9 333 ], -3)    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 5.3 ~, -4.5 ~ -7.9 ~ 333 ~)*(~1~0~)^-3' ) ); error('PN constructor ERROR!'); end
    
    x =     PN([ 6.3;  -4.5;  -7.9; 333 ], -3)    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 6.3 ~, -4.5 ~ -7.9 ~ 333 ~)*(~1~0~)^-3' ) ); error('PN constructor ERROR!'); end
    
    x =     PN([ 7.3  -4.5  -7.9 333 ], -3, 6)    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 7.3 ~, -4.5 ~ -7.9 ~ 333 ~ 0 ~ 0 ~)*(~1~0~)^-3' ) ); error('PN constructor ERROR!'); end
    
    disp('----------------------------')
    
    x =     PN([ 8.1  -4.5  -7.9 333 ])    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 8.1 ~, -4.5 ~ -7.9 ~ 333 ~)' ) ); error('PN constructor ERROR!'); end
    
    x =     PN('(~ 8.2 ~ -4.5 ~, -7.9~ 333 ~)*(~1~0~)^-3',-100)    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 8.2 ~, -4.5 ~ -7.9 ~ 333 ~)*(~1~0~)^-102' ) ); error('PNconstrTest ERROR!'); end

    x =     PN('(~ 8.3 ~ -4.5 ~, -7.9~ 333 ~)*(~1~0~)^-3', 0, 6)    %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 8.3 ~, -4.5 ~ -7.9 ~ 333 ~ 0 ~ 0 ~)*(~1~0~)^-2' ) ); error('PNconstrTest ERROR!'); end

    y =     PN(x)    %#ok<NOPRT>
    if ( ~strcmp( char(y), '(~ 8.3 ~, -4.5 ~ -7.9 ~ 333 ~ 0 ~ 0 ~)*(~1~0~)^-2' ) ); error('PNconstrTest ERROR!'); end

    y =     PN(x, -1000)    %#ok<NOPRT>
    if ( ~strcmp( char(y), '(~ 8.3 ~, -4.5 ~ -7.9 ~ 333 ~ 0 ~ 0 ~)*(~1~0~)^-1002' ) ); error('PNconstrTest ERROR!'); end

    y8 =     PN(x, 1000, 8)    %#ok<NOPRT>
    if ( ~strcmp( char(y8), '(~ 8.3 ~, -4.5 ~ -7.9 ~ 333 ~ 0 ~ 0 ~ 0 ~ 0 ~)*(~1~0~)^998' ) ); error('PNconstrTest ERROR!'); end

    y7 =     PN(y8, 0, 7)    %#ok<NOPRT>
    if ( ~strcmp( char(y7), '(~ 8.3 ~, -4.5 ~ -7.9 ~ 333 ~ 0 ~ 0 ~ 0 ~)*(~1~0~)^998' ) ); error('PNconstrTest ERROR!'); end

    y2 =     PN(x, 1000, 2)    %#ok<NOPRT>
    if ( ~strcmp( char(y2), '(~ 8.3 ~, -4.5 ~ -7.9 ~ 333 ~)*(~1~0~)^998' ) ); error('PNconstrTest ERROR!'); end
    
    y =     PN(x, 1000, 1)    %#ok<NOPRT>
    if ( ~strcmp( char(y), '(~ 8.3 ~, -4.5 ~ -7.9 ~ 333 ~ 0 ~ 0 ~)*(~1~0~)^998' ) ); error('PNconstrTest ERROR!'); end

disp('===================================')
disp(' Test of PN constants')
disp('===================================')

    x = PN('c_1111',1.7,8) %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 1.7 ~, 1.7 ~ 1.7 ~ 1.7 ~ 1.7 ~ 1.7 ~ 1.7 ~ 1.7 ~)' ) )
        error('1. PN const ERROR!'); 
    end

    x = PN('c_05111',2,8) %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 1 ~, 2 ~ 2 ~ 2 ~ 2 ~ 2 ~ 2 ~ 2 ~)' ) )
        error('2. PN const ERROR!'); 
    end

    x = PN('c_P_TRAP',1,8) %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 2 ~, -4 ~ 4 ~ -4 ~ 4 ~ -4 ~ 4 ~ -4 ~)' ) )
        error('3. PN const ERROR!'); 
    end

    x = PN('c_P_TRAP',10,8) %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 20 ~, -40 ~ 40 ~ -40 ~ 40 ~ -40 ~ 40 ~ -40 ~)' ) )
        error('4. PN const ERROR!'); 
    end

    x = PN('c_P_PROST',5,8) %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 5 ~, -5 ~ 0 ~ 0 ~ 0 ~ 0 ~ 0 ~ 0 ~)' ) )
        error('5. PN const ERROR!'); 
    end

    x = PN('c_P_TRAP_05111',6) %#ok<NOPRT>
    if ( ~strcmp( char(x), '(~ 6 ~)' ) )
        error('6. PN const ERROR!'); 
    end
    