disp('===================================')
disp(' Test of conversion methods')
disp('===================================')    
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

% double()
% =====================================================================
    disp('No warning below!'); 
    disp('-----------------');
    x = PN([ 0 0 -7.9 333 ], 2) %#ok<NOPRT>
    y = double(x); disp('double(x).''='); disp( y.');
    if ( ~isequal( y, [-7.9 333 0 0].' ) ); error('1.PN conversion ERROR!'); end

    x = PN([ 5.1 -4.5 -7.9 333 ], 2) %#ok<NOPRT>
    y = double(x); disp('double(x).''='); disp( y.');
    if ( ~isequal( y, [-7.9 333].' ) ); error('2.PN conversion ERROR!'); end

    x = PN([ 5.2 -4.5 -7.9 333 ], 1) %#ok<NOPRT>
    y = double(x); disp('double(x).''='); disp( y.');
    if ( ~isequal( y, [-4.5 -7.9 333].' ) ); error('3.PN conversion ERROR!'); end

    x = PN([ 5.3 -4.5 -7.9 333 ], 0) %#ok<NOPRT>
    y = double(x); disp('double(x).''='); disp( y.');
    if ( ~isequal( y, [5.3 -4.5 -7.9 333].' ) ); error('4.PN conversion ERROR!'); end

    x = PN([ 5.4 -4.5 -7.9 333 ], -1) %#ok<NOPRT>
    y = double(x); disp('double(x).''='); disp( y.');
    if ( ~isequal( y, [0 5.4 -4.5 -7.9 333].' ) ); error('5.PN conversion ERROR!'); end

    x = PN([ 5.5 -4.5 -7.9 333 ], -2) %#ok<NOPRT>
    y = double(x); disp('double(x).''='); disp( y.');
    if ( ~isequal( y, [0 0 5.5 -4.5 -7.9 333].' ) ); error('6.PN conversion ERROR!'); end

% char()
% =====================================================================
    x = PN([ 6.1 -4.5 -7.9 333 ], 0) %#ok<NOPRT>
    y = char(x); disp('char(x)='); disp( y );
    if ( ~strcmp( y, '(~ 6.1 ~, -4.5 ~ -7.9 ~ 333 ~)' ) ); error('7.PN conversion ERROR!'); end

    x = PN([ 6.2 -4.5 -7.9 333 ], -3) %#ok<NOPRT>
    y = char(x); disp('char(x)='); disp( y );
    if ( ~strcmp( y, '(~ 6.2 ~, -4.5 ~ -7.9 ~ 333 ~)*(~1~0~)^-3' ) ); error('8.PN conversion ERROR!'); end

    x = PN([ 6.3 -4.5 -7.9 333 ], -3) %#ok<NOPRT>
    y = char(x, 3); disp('char(x)='); disp( y );
    if ( ~strcmp( y, '(~ 6.3 ~, -4.5 ~ -7.9 ~ ... ~)*(~1~0~)^-3' ) ); error('9.PN conversion ERROR!'); end

    x = PN([ 6.4 -4.5 -7.9 333 ], -3) %#ok<NOPRT>
    y = char(x, 4); disp('char(x)='); disp( y );
    if ( ~strcmp( y, '(~ 6.4 ~, -4.5 ~ -7.9 ~ 333 ~)*(~1~0~)^-3' ) ); error('10.PN conversion ERROR!'); end
