disp('===================================')
disp(' Test PN functions expL1 expZ')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-10, v.1.0
    
    [xLapl Td] = expL1(-2*PN([1 2 3 4],1,8));
    Td                              %#ok<NOPRT>
    xLapl                           %#ok<NOPRT>
    if ( ( Td ~= 2 ) || ...
        ~strcmp(char(xLapl),'(~ 0.018316 ~, -0.10989 ~ 0.18316 ~ 0.21979 ~ -1.0623 ~ 0.57145 ~ 2.2614 ~)') )
        error('1.PN expL1() ERROR!'); 
    end
    
    p = PN([ 2 -1 3 -4 ], 2)        %#ok<NOPRT>
    lasterr('');
    try
        expL1( p );                 %#ok<VUNUS>
    catch
        fprintf('\t ___ an error should occur ___ \n%s\n\n',lasterr);
        if ( isempty(findstr(lasterr,'Impossible expL1() operation')) )
            error('2.PN exp() ERROR!'); 
        end;
    end
    
% =====================================================================
    h = 0.3;
    pZ = PN([2 -2],0, 5) / PN([h h]); %  2/h * (~1~-1~)/(~1~1~)
    
    x1 = expZ(-0.7*pZ+1, pZ, 0.7, h )   %#ok<NOPRT>
    if ( ~strcmp(char(x1),'(~ 1.3956 ~, 1.8608 ~ -0.62027 ~ -0.068919 ~ 0.39054 ~)*(~1~0~)^-2') )
        error('3.PN exp() ERROR!');
    end
    
    
    