%TODO:!
disp('===================================')
disp(' Test PN functions r = exp( p ), r = ln( p )')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-05, v.1.0

% =====================================================================
    p = PN([ 2 -1 3 -4 ], 2)        %#ok<NOPRT>
    lasterr('');
    try
        exp( p );                   %#ok<VUNUS>
    catch
        fprintf('\t ___ an error should occur ___ \n%s\n\n',lasterr);
        if ( isempty(findstr(lasterr,'PN exponent of argument must be nonpositive')) ), error('1.PN exp() ERROR!'); end;
    end

    p = PN([ 2 -1 3 -4 ])           %#ok<NOPRT>
    r = exp( p )                     %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 7.3891 ~, -7.3891 ~ 25.8617 ~ -52.9549 ~)') ); error('2.PN exp() ERROR!'); end
%TODO: check result

    p = PN([ -1 3 -4 5],-1)           %#ok<NOPRT>
    r = exp( p )                     %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, -1 ~ 3.5 ~ -7.1667 ~)') ); error('3.PN exp() ERROR!'); end

    p = PN([ 0 -1 3 -4 ])           %#ok<NOPRT>
    r = exp( p )                    %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, -1 ~ 3.5 ~ -7.1667 ~)') ); error('4.PN exp() ERROR!'); end

    x = ln( r )                    %#ok<NOPRT>
    if ( ~strcmp(char(x),'(~ -1 ~, 3 ~ -4 ~ 0 ~)*(~1~0~)^-1') ); error('5.PN ln() ERROR!'); end
    
    r = PN([ 2 -1 3 -4 ],1)           %#ok<NOPRT>
    lasterr('');
    try
        ln( r );                   %#ok<VUNUS>
    catch
        fprintf('\t ___ an error should occur ___ \n%s\n\n',lasterr);
        if ( isempty(findstr(lasterr,'PN exponent of argument must be 0')) ), error('6.PN ln() ERROR!'); end;
    end
    
    
    