disp('===================================')
disp(' Test PN invLaplace1')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-12, v.1.0

    p = PN([ 2 -1 3 -4 ], 3)        %#ok<NOPRT>
    lasterr('');
    try
        invLaplace1( p, 0 );
    catch
        fprintf('\t ___ an error should occur ___ \n%s\n\n',lasterr);
        if ( isempty(findstr(lasterr,'therefore inverese Laplace transform doesn''t exist')) )
            error('1.PN invLaplace05() ERROR!'); end;
    end
    
    b0 = 5                          %#ok<NOPRT>
    p = PN([ 10 20 30 ], -1)        %#ok<NOPRT>

    t = -1;
    [x er] = invLaplace05( p, b0, t ) %#ok<NOPRT>
    if ( ( x ~= 0 ) || ( er ~= 0 ) ), error('2.PN invLaplace05() ERROR!'); end;

    x = []; y = []; er = []; 
    for t = 2:0.5:2
        %ilaplace(exp(-b0*s^(1/2))*(10/s^(1/2)))
        %ilaplace(exp(-b0*s^(1/2))*(20/s^(2/2)))
        %ilaplace(exp(-b0*s^(1/2))*(30/s^(3/2)))
        patt=[  10/(pi*t)^(1/2)*exp(-1/4*b0^2/t);...
                20*erfc(1/2*b0/t^(1/2));...
                60*(t/pi)^(1/2)*exp(-1/4*b0^2/t)-30*b0*erfc(1/2*b0/t^(1/2))] %#ok<NOPRT>
        [x_ er_] = invLaplace05( p, b0, t );
        er=[er er_]; %#ok<AGROW>
        x=[x x_]; %#ok<AGROW>
        y = [y patt(1)+patt(2)+patt(3)]; %#ok<AGROW>
    end;
    disp(y);
    disp(x);
    disp(er);
    disp(abs(y-x));
    if any(er < abs(y-x)), error('3.PN invLaplace05() ERROR!'); end

    p = PN(p,0,50);
    x = []; y = []; er = []; 
    for t = 0.2:0.5:2
        y_=   10/(pi*t)^(1/2)*exp(-1/4*b0^2/t)+...
                20*erfc(1/2*b0/t^(1/2))+...
                60*(t/pi)^(1/2)*exp(-1/4*b0^2/t)-30*b0*erfc(1/2*b0/t^(1/2)); %#ok<NOPRT>
        [x_ er_] = invLaplace05( p, b0, t );
        er=[er er_]; %#ok<AGROW>
        x=[x x_]; %#ok<AGROW>
        y = [y y_]; %#ok<AGROW>
    end;
    disp(y);
    disp(x);
    disp(er);
    disp(abs(y-x));
    if any(er+eps(1) < abs(y-x)), error('4.PN invLaplace05() ERROR!'); end
    
    %plot 
    if false 
        t=0:0.04:8;
        xt = t;
        for k=1:length(t)
          xt(k) = invLaplace05( s, t(k) );
        end
        plot(t, xt, t, 100*sin(2*t)-xt, t, 0);
    end