disp('===================================')
disp(' Test PN invLaplace1')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-05, v.1.0

    p = PN([ 2 -1 3 -4 ], 2)        %#ok<NOPRT>
    lasterr('');
    try
        invLaplace1( p, 0 );
    catch
        fprintf('\t ___ an error should occur ___ \n%s\n\n',lasterr);
        if ( isempty(findstr(lasterr,'therefore inverese Laplace transform doesn''t exist')) )
            error('1.PN invLaplace1() ERROR!'); end;
    end
    
    p = PN('(~1~)',0,20) / '(~1~2~)'; %  1 / (s + 2) 
    display(p);
    t = -1;
    [x er] = invLaplace1( p, t ) %#ok<NOPRT>
    if ( ( x ~= 0 ) || ( er ~= 0 ) ), error('2.PN invLaplace1() ERROR!'); end;

    x = []; y = []; er = [];
    for t = 0:0.2:1.3 
        [x_ er_] = invLaplace1( p, t );
        er=[er er_]; %#ok<AGROW>
        x=[x x_]; %#ok<AGROW>
        y = [y exp(-2*t)]; %#ok<AGROW>
    end;
    disp(y);
    disp(x);
    disp(er);
    disp(abs(y-x));
    if any(er < abs(y-x)), error('3.PN invLaplace05() ERROR!'); end

    
    s = PN('(~2~)',0,60) / '(~1~0~4~)'; %  2 / (s^2 + 2^2) 
    display(s);

    x = []; y = []; er = [];
    for t = 0:0.2:1
        [x_ er_] = invLaplace1( s, t );
        er=[er er_]; %#ok<AGROW>
        x=[x x_]; %#ok<AGROW>
        y = [y sin(2*t)]; %#ok<AGROW>
    end;
    disp(y);
    disp(x);
    disp(er);
    disp(abs(y-x));
    if any(er+eps(1) < (abs(y-x))), error('4.PN invLaplace05() ERROR!'); end
    
    %plot 
    if false 
        t=0:0.04:8;
        xt = t;
        for k=1:length(t)
          xt(k) = invLaplace1( s, t(k) );
        end
        plot(t, xt, t, 100*sin(2*t)-xt, t, 0);
    end