disp('===================================')
disp(' Test PN normalization')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

% =====================================================================
    p = PN([ 1 2 3 4 ], 10)         %#ok<NOPRT>
    r = normalized( p )                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, 2 ~ 3 ~ 4 ~)*(~1~0~)^10') ); error('1. PN normalized ERROR!'); end

    p = PN([ 0 0 3 4 ])         %#ok<NOPRT>
    r = normalized( p )                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 3 ~, 4 ~ 0 ~ 0 ~)*(~1~0~)^-2') ); error('2. PN normalized ERROR!'); end

    s = PN([ 0 0 0 0 ],9)         %#ok<NOPRT>
    r = normalized( s )                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 0 ~, 0 ~ 0 ~ 0 ~)*(~1~0~)^9') ); error('3. PN normalized ERROR!'); end
    
    if ( ~iszeroAfterNorm( r ) ); error('4. PN iszeroAfterNorm ERROR!'); end

    p = PN([ 0 1e-33 3 4 ])         %#ok<NOPRT>
    r = normalized( p )                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 3 ~, 4 ~ 0 ~ 0 ~)*(~1~0~)^-2') ); error('7. PN normalized ERROR!'); end

    