disp('===================================')
disp(' % Test PN operators +')
disp('===================================')
%
%A.Kubaszek, RzUT, 2007-002-03, v.1.0

% =====================================================================
    p = PN([ 1 2 3 4 ], 1)          %#ok<NOPRT>
    q = PN([ 0.1 0.2 0.3 0.4 ], 1)  %#ok<NOPRT>

    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1.1 ~, 2.2 ~ 3.3 ~ 4.4 ~)*(~1~0~)^1') ); error('PN + ERROR!'); end

    q = PN(q,-1)                    %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, 2.1 ~ 3.2 ~ 4.3 ~)*(~1~0~)^1') ); error('PN + ERROR!'); end

    q = PN(q,-1)                    %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, 2 ~ 3.1 ~ 4.2 ~)*(~1~0~)^1') ); error('PN + ERROR!'); end

    q = PN(q,-1)                    %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, 2 ~ 3 ~ 4.1 ~)*(~1~0~)^1') ); error('PN + ERROR!'); end

    q = PN(q,-1)                    %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, 2 ~ 3 ~ 4 ~)*(~1~0~)^1') ); error('PN + ERROR!'); end

    q = PN(q,-1)                    %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, 2 ~ 3 ~ 4 ~)*(~1~0~)^1') ); error('PN + ERROR!'); end

% =====================================================================
    
    q = PN(q,6)                    %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 0.1 ~, 1.2 ~ 2.3 ~ 3.4 ~)*(~1~0~)^2') ); error('PN + ERROR!'); end

    q = PN(q,2)                    %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 0.1 ~, 0.2 ~ 0.3 ~ 1.4 ~)*(~1~0~)^4') ); error('PN + ERROR!'); end

    q = PN(q,1)                    %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 0.1 ~, 0.2 ~ 0.3 ~ 0.4 ~)*(~1~0~)^5') ); error('PN + ERROR!'); end

    q = PN(q,1)                    %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 0.1 ~, 0.2 ~ 0.3 ~ 0.4 ~)*(~1~0~)^6') ); error('PN + ERROR!'); end
    
% =====================================================================
    p = PN([ 1 2 3 4 ], 1)          %#ok<NOPRT>
    q = PN([ 0.2 0.3], 0)           %#ok<NOPRT>

    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1 ~, 2.2 ~ 3.3 ~ 4 ~)*(~1~0~)^1') ); error('PN + ERROR!'); end

    q = PN(q, 2)           %#ok<NOPRT>
    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 0.2 ~, 1.3 ~ 2 ~ 3 ~)*(~1~0~)^2') ); error('PN + ERROR!'); end

    p = PN([ 1 2 ], 1)          %#ok<NOPRT>
    q = PN([ 0.1 0.2 0.3 0.4 ], 1)  %#ok<NOPRT>

    r = p + q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1.1 ~, 2.2 ~ 0.3 ~ 0.4 ~)*(~1~0~)^1') ); error('PN + ERROR!'); end
    
    
    x = PN('(~ 0 ~, -2 ~ 3 ~ -4 ~)')+PN(0,8)   %#ok<NOPRT>
    if ( ~strcmp(char(x),'(~ -2 ~, 3 ~ -4 ~ 0 ~)*(~1~0~)^-1') ); error('PN + ERROR!'); end
    
    r = p - q                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 0.9 ~, 1.8 ~ -0.3 ~ -0.4 ~)*(~1~0~)^1') ); error('PN + ERROR!'); end
    
    r = x + 0                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ -2 ~, 3 ~ -4 ~ 0 ~)*(~1~0~)^-1') ); error('PN + ERROR!'); end
    
    r = x + '(~100~,200~)'                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 100 ~, 198 ~ 3 ~ -4 ~)') ); error('PN + ERROR!'); end


    r = x + [1000 2000]                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1000 ~, 1998 ~ 3 ~ -4 ~)') ); error('PN + ERROR!'); end

    r = [1100 2200] + x                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ 1100 ~, 2198 ~ 3 ~ -4 ~)') ); error('PN + ERROR!'); end

    r = x - [1000 2000]                       %#ok<NOPRT>
    if ( ~strcmp(char(r),'(~ -1000 ~, -2002 ~ 3 ~ -4 ~)') ); error('PN + ERROR!'); end
    